package org.xdoclet.plugin.ejb.qtags;

import org.generama.MetadataProvider;

public class TagLibrary {
    public static final String DAO_CALL = DaoCallTagImpl.NAME;
    public static final String EJB_ACTIVATION_CONFIG_PROPERTY = EjbActivationConfigPropertyTagImpl.NAME;
    public static final String EJB_AGGREGATE = EjbAggregateTagImpl.NAME;
    public static final String EJB_BEAN = EjbBeanTagImpl.NAME;
    public static final String EJB_CREATE_METHOD = EjbCreateMethodTagImpl.NAME;
    public static final String EJB_DAO = EjbDaoTagImpl.NAME;
    public static final String EJB_DATA_OBJECT = EjbDataObjectTagImpl.NAME;
    public static final String EJB_DESTINATION_REF = EjbDestinationRefTagImpl.NAME;
    public static final String EJB_EJB_EXTERNAL_REF = EjbEjbExternalRefTagImpl.NAME;
    public static final String EJB_EJB_REF = EjbEjbRefTagImpl.NAME;
    public static final String EJB_EJB_SERVICE_REF = EjbEjbServiceRefTagImpl.NAME;
    public static final String EJB_ENV_ENTRY = EjbEnvEntryTagImpl.NAME;
    public static final String EJB_FACADE_METHOD = EjbFacadeMethodTagImpl.NAME;
    public static final String EJB_FACADE = EjbFacadeTagImpl.NAME;
    public static final String EJB_FINDER = EjbFinderTagImpl.NAME;
    public static final String EJB_HOME_METHOD = EjbHomeMethodTagImpl.NAME;
    public static final String EJB_HOME = EjbHomeTagImpl.NAME;
    public static final String EJB_INTERFACE_METHOD = EjbInterfaceMethodTagImpl.NAME;
    public static final String EJB_INTERFACE = EjbInterfaceTagImpl.NAME;
    public static final String EJB_MESSAGE_DESTINATION = EjbMessageDestinationTagImpl.NAME;
    public static final String EJB_PERMISSION = EjbPermissionTagImpl.NAME;
    public static final String EJB_PERSISTENCE_FIELD = EjbPersistenceFieldTagImpl.NAME;
    public static final String EJB_PERSISTENCE = EjbPersistenceTagImpl.NAME;
    public static final String EJB_PK_FIELD = EjbPkFieldTagImpl.NAME;
    public static final String EJB_PK = EjbPkTagImpl.NAME;
    public static final String EJB_RELATION = EjbRelationTagImpl.NAME;
    public static final String EJB_REMOTE_FACADE = EjbRemoteFacadeTagImpl.NAME;
    public static final String EJB_RESOURCE_ENV_REF = EjbResourceEnvRefTagImpl.NAME;
    public static final String EJB_RESOURCE_REF = EjbResourceRefTagImpl.NAME;
    public static final String EJB_SECURITY_IDENTITY = EjbSecurityIdentityTagImpl.NAME;
    public static final String EJB_SECURITY_ROLE_REF = EjbSecurityRoleRefTagImpl.NAME;
    public static final String EJB_SECURITY_ROLES = EjbSecurityRolesTagImpl.NAME;
    public static final String EJB_SELECT = EjbSelectTagImpl.NAME;
    public static final String EJB_TRANSACTION_METHOD = EjbTransactionMethodTagImpl.NAME;
    public static final String EJB_TRANSACTION = EjbTransactionTagImpl.NAME;
    public static final String EJB_UTIL = EjbUtilTagImpl.NAME;
    public static final String EJB_VALUE_OBJECT_FIELD = EjbValueObjectFieldTagImpl.NAME;
    public static final String EJB_VALUE_OBJECT = EjbValueObjectTagImpl.NAME;

    public TagLibrary(MetadataProvider metadataProvider) {
        metadataProvider.getDocletTagFactory().registerTag(DaoCallTagImpl.NAME, DaoCallTagImpl.class);
        metadataProvider.getDocletTagFactory().registerTag(EjbActivationConfigPropertyTagImpl.NAME, EjbActivationConfigPropertyTagImpl.class);
        metadataProvider.getDocletTagFactory().registerTag(EjbAggregateTagImpl.NAME, EjbAggregateTagImpl.class);
        metadataProvider.getDocletTagFactory().registerTag(EjbBeanTagImpl.NAME, EjbBeanTagImpl.class);
        metadataProvider.getDocletTagFactory().registerTag(EjbCreateMethodTagImpl.NAME, EjbCreateMethodTagImpl.class);
        metadataProvider.getDocletTagFactory().registerTag(EjbDaoTagImpl.NAME, EjbDaoTagImpl.class);
        metadataProvider.getDocletTagFactory().registerTag(EjbDataObjectTagImpl.NAME, EjbDataObjectTagImpl.class);
        metadataProvider.getDocletTagFactory().registerTag(EjbDestinationRefTagImpl.NAME, EjbDestinationRefTagImpl.class);
        metadataProvider.getDocletTagFactory().registerTag(EjbEjbExternalRefTagImpl.NAME, EjbEjbExternalRefTagImpl.class);
        metadataProvider.getDocletTagFactory().registerTag(EjbEjbRefTagImpl.NAME, EjbEjbRefTagImpl.class);
        metadataProvider.getDocletTagFactory().registerTag(EjbEjbServiceRefTagImpl.NAME, EjbEjbServiceRefTagImpl.class);
        metadataProvider.getDocletTagFactory().registerTag(EjbEnvEntryTagImpl.NAME, EjbEnvEntryTagImpl.class);
        metadataProvider.getDocletTagFactory().registerTag(EjbFacadeMethodTagImpl.NAME, EjbFacadeMethodTagImpl.class);
        metadataProvider.getDocletTagFactory().registerTag(EjbFacadeTagImpl.NAME, EjbFacadeTagImpl.class);
        metadataProvider.getDocletTagFactory().registerTag(EjbFinderTagImpl.NAME, EjbFinderTagImpl.class);
        metadataProvider.getDocletTagFactory().registerTag(EjbHomeMethodTagImpl.NAME, EjbHomeMethodTagImpl.class);
        metadataProvider.getDocletTagFactory().registerTag(EjbHomeTagImpl.NAME, EjbHomeTagImpl.class);
        metadataProvider.getDocletTagFactory().registerTag(EjbInterfaceMethodTagImpl.NAME, EjbInterfaceMethodTagImpl.class);
        metadataProvider.getDocletTagFactory().registerTag(EjbInterfaceTagImpl.NAME, EjbInterfaceTagImpl.class);
        metadataProvider.getDocletTagFactory().registerTag(EjbMessageDestinationTagImpl.NAME, EjbMessageDestinationTagImpl.class);
        metadataProvider.getDocletTagFactory().registerTag(EjbPermissionTagImpl.NAME, EjbPermissionTagImpl.class);
        metadataProvider.getDocletTagFactory().registerTag(EjbPersistenceFieldTagImpl.NAME, EjbPersistenceFieldTagImpl.class);
        metadataProvider.getDocletTagFactory().registerTag(EjbPersistenceTagImpl.NAME, EjbPersistenceTagImpl.class);
        metadataProvider.getDocletTagFactory().registerTag(EjbPkFieldTagImpl.NAME, EjbPkFieldTagImpl.class);
        metadataProvider.getDocletTagFactory().registerTag(EjbPkTagImpl.NAME, EjbPkTagImpl.class);
        metadataProvider.getDocletTagFactory().registerTag(EjbRelationTagImpl.NAME, EjbRelationTagImpl.class);
        metadataProvider.getDocletTagFactory().registerTag(EjbRemoteFacadeTagImpl.NAME, EjbRemoteFacadeTagImpl.class);
        metadataProvider.getDocletTagFactory().registerTag(EjbResourceEnvRefTagImpl.NAME, EjbResourceEnvRefTagImpl.class);
        metadataProvider.getDocletTagFactory().registerTag(EjbResourceRefTagImpl.NAME, EjbResourceRefTagImpl.class);
        metadataProvider.getDocletTagFactory().registerTag(EjbSecurityIdentityTagImpl.NAME, EjbSecurityIdentityTagImpl.class);
        metadataProvider.getDocletTagFactory().registerTag(EjbSecurityRoleRefTagImpl.NAME, EjbSecurityRoleRefTagImpl.class);
        metadataProvider.getDocletTagFactory().registerTag(EjbSecurityRolesTagImpl.NAME, EjbSecurityRolesTagImpl.class);
        metadataProvider.getDocletTagFactory().registerTag(EjbSelectTagImpl.NAME, EjbSelectTagImpl.class);
        metadataProvider.getDocletTagFactory().registerTag(EjbTransactionMethodTagImpl.NAME, EjbTransactionMethodTagImpl.class);
        metadataProvider.getDocletTagFactory().registerTag(EjbTransactionTagImpl.NAME, EjbTransactionTagImpl.class);
        metadataProvider.getDocletTagFactory().registerTag(EjbUtilTagImpl.NAME, EjbUtilTagImpl.class);
        metadataProvider.getDocletTagFactory().registerTag(EjbValueObjectFieldTagImpl.NAME, EjbValueObjectFieldTagImpl.class);
        metadataProvider.getDocletTagFactory().registerTag(EjbValueObjectTagImpl.NAME, EjbValueObjectTagImpl.class);
    }
}
